IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network192.0.0.0/2
Usable hosts1,073,741,822
Subnet mask192.0.0.0
Addresses1,073,741,824
- Network address
192.0.0.0- Broadcast address
255.255.255.255- First usable
192.0.0.1- Last usable
255.255.255.254- Usable hosts
- 1,073,741,822 (1,073,741,824 less the network and broadcast addresses)
- Subnet mask
192.0.0.0- Wildcard mask
63.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /2
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
C0000000· Integer3221225472to4294967295 - Reverse DNS zones
192.in-addr.arpa193.in-addr.arpa194.in-addr.arpa195.in-addr.arpa196.in-addr.arpa197.in-addr.arpa198.in-addr.arpa199.in-addr.arpa200.in-addr.arpa201.in-addr.arpa202.in-addr.arpa203.in-addr.arpa204.in-addr.arpa205.in-addr.arpa206.in-addr.arpa207.in-addr.arpa
and 48 more
/2 is not on a 8-bit boundary, so it takes 64 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11000000.00000000.00000000.00000000 | 192.0.0.0 |
| Subnet mask | 11000000.00000000.00000000.00000000 | 192.0.0.0 |
| Network | 11000000.00000000.00000000.00000000 | 192.0.0.0 |
| Broadcast | 11111111.11111111.11111111.11111111 | 255.255.255.255 |
Split into smaller subnets
192.0.0.0/2 makes 2,048 subnets of /13; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 192.0.0.0/13 | 192.0.0.1 to 192.7.255.254 | 192.7.255.255 | 524,286 |
| 2 | 192.8.0.0/13 | 192.8.0.1 to 192.15.255.254 | 192.15.255.255 | 524,286 |
| 3 | 192.16.0.0/13 | 192.16.0.1 to 192.23.255.254 | 192.23.255.255 | 524,286 |
| 4 | 192.24.0.0/13 | 192.24.0.1 to 192.31.255.254 | 192.31.255.255 | 524,286 |
| 5 | 192.32.0.0/13 | 192.32.0.1 to 192.39.255.254 | 192.39.255.255 | 524,286 |
| 6 | 192.40.0.0/13 | 192.40.0.1 to 192.47.255.254 | 192.47.255.255 | 524,286 |
| 7 | 192.48.0.0/13 | 192.48.0.1 to 192.55.255.254 | 192.55.255.255 | 524,286 |
| 8 | 192.56.0.0/13 | 192.56.0.1 to 192.63.255.254 | 192.63.255.255 | 524,286 |
| 9 | 192.64.0.0/13 | 192.64.0.1 to 192.71.255.254 | 192.71.255.255 | 524,286 |
| 10 | 192.72.0.0/13 | 192.72.0.1 to 192.79.255.254 | 192.79.255.255 | 524,286 |
| 11 | 192.80.0.0/13 | 192.80.0.1 to 192.87.255.254 | 192.87.255.255 | 524,286 |
| 12 | 192.88.0.0/13 | 192.88.0.1 to 192.95.255.254 | 192.95.255.255 | 524,286 |
| 13 | 192.96.0.0/13 | 192.96.0.1 to 192.103.255.254 | 192.103.255.255 | 524,286 |
| 14 | 192.104.0.0/13 | 192.104.0.1 to 192.111.255.254 | 192.111.255.255 | 524,286 |
| 15 | 192.112.0.0/13 | 192.112.0.1 to 192.119.255.254 | 192.119.255.255 | 524,286 |
| 16 | 192.120.0.0/13 | 192.120.0.1 to 192.127.255.254 | 192.127.255.255 | 524,286 |
| 17 | 192.128.0.0/13 | 192.128.0.1 to 192.135.255.254 | 192.135.255.255 | 524,286 |
| 18 | 192.136.0.0/13 | 192.136.0.1 to 192.143.255.254 | 192.143.255.255 | 524,286 |
| 19 | 192.144.0.0/13 | 192.144.0.1 to 192.151.255.254 | 192.151.255.255 | 524,286 |
| 20 | 192.152.0.0/13 | 192.152.0.1 to 192.159.255.254 | 192.159.255.255 | 524,286 |
| 21 | 192.160.0.0/13 | 192.160.0.1 to 192.167.255.254 | 192.167.255.255 | 524,286 |
| 22 | 192.168.0.0/13 | 192.168.0.1 to 192.175.255.254 | 192.175.255.255 | 524,286 |
| 23 | 192.176.0.0/13 | 192.176.0.1 to 192.183.255.254 | 192.183.255.255 | 524,286 |
| 24 | 192.184.0.0/13 | 192.184.0.1 to 192.191.255.254 | 192.191.255.255 | 524,286 |
| 25 | 192.192.0.0/13 | 192.192.0.1 to 192.199.255.254 | 192.199.255.255 | 524,286 |
| 26 | 192.200.0.0/13 | 192.200.0.1 to 192.207.255.254 | 192.207.255.255 | 524,286 |
| 27 | 192.208.0.0/13 | 192.208.0.1 to 192.215.255.254 | 192.215.255.255 | 524,286 |
| 28 | 192.216.0.0/13 | 192.216.0.1 to 192.223.255.254 | 192.223.255.255 | 524,286 |
| 29 | 192.224.0.0/13 | 192.224.0.1 to 192.231.255.254 | 192.231.255.255 | 524,286 |
| 30 | 192.232.0.0/13 | 192.232.0.1 to 192.239.255.254 | 192.239.255.255 | 524,286 |
| 31 | 192.240.0.0/13 | 192.240.0.1 to 192.247.255.254 | 192.247.255.255 | 524,286 |
| 32 | 192.248.0.0/13 | 192.248.0.1 to 192.255.255.254 | 192.255.255.255 | 524,286 |
| 33 | 193.0.0.0/13 | 193.0.0.1 to 193.7.255.254 | 193.7.255.255 | 524,286 |
| 34 | 193.8.0.0/13 | 193.8.0.1 to 193.15.255.254 | 193.15.255.255 | 524,286 |
| 35 | 193.16.0.0/13 | 193.16.0.1 to 193.23.255.254 | 193.23.255.255 | 524,286 |
| 36 | 193.24.0.0/13 | 193.24.0.1 to 193.31.255.254 | 193.31.255.255 | 524,286 |
| 37 | 193.32.0.0/13 | 193.32.0.1 to 193.39.255.254 | 193.39.255.255 | 524,286 |
| 38 | 193.40.0.0/13 | 193.40.0.1 to 193.47.255.254 | 193.47.255.255 | 524,286 |
| 39 | 193.48.0.0/13 | 193.48.0.1 to 193.55.255.254 | 193.55.255.255 | 524,286 |
| 40 | 193.56.0.0/13 | 193.56.0.1 to 193.63.255.254 | 193.63.255.255 | 524,286 |
| 41 | 193.64.0.0/13 | 193.64.0.1 to 193.71.255.254 | 193.71.255.255 | 524,286 |
| 42 | 193.72.0.0/13 | 193.72.0.1 to 193.79.255.254 | 193.79.255.255 | 524,286 |
| 43 | 193.80.0.0/13 | 193.80.0.1 to 193.87.255.254 | 193.87.255.255 | 524,286 |
| 44 | 193.88.0.0/13 | 193.88.0.1 to 193.95.255.254 | 193.95.255.255 | 524,286 |
| 45 | 193.96.0.0/13 | 193.96.0.1 to 193.103.255.254 | 193.103.255.255 | 524,286 |
| 46 | 193.104.0.0/13 | 193.104.0.1 to 193.111.255.254 | 193.111.255.255 | 524,286 |
| 47 | 193.112.0.0/13 | 193.112.0.1 to 193.119.255.254 | 193.119.255.255 | 524,286 |
| 48 | 193.120.0.0/13 | 193.120.0.1 to 193.127.255.254 | 193.127.255.255 | 524,286 |
| 49 | 193.128.0.0/13 | 193.128.0.1 to 193.135.255.254 | 193.135.255.255 | 524,286 |
| 50 | 193.136.0.0/13 | 193.136.0.1 to 193.143.255.254 | 193.143.255.255 | 524,286 |
| 51 | 193.144.0.0/13 | 193.144.0.1 to 193.151.255.254 | 193.151.255.255 | 524,286 |
| 52 | 193.152.0.0/13 | 193.152.0.1 to 193.159.255.254 | 193.159.255.255 | 524,286 |
| 53 | 193.160.0.0/13 | 193.160.0.1 to 193.167.255.254 | 193.167.255.255 | 524,286 |
| 54 | 193.168.0.0/13 | 193.168.0.1 to 193.175.255.254 | 193.175.255.255 | 524,286 |
| 55 | 193.176.0.0/13 | 193.176.0.1 to 193.183.255.254 | 193.183.255.255 | 524,286 |
| 56 | 193.184.0.0/13 | 193.184.0.1 to 193.191.255.254 | 193.191.255.255 | 524,286 |
| 57 | 193.192.0.0/13 | 193.192.0.1 to 193.199.255.254 | 193.199.255.255 | 524,286 |
| 58 | 193.200.0.0/13 | 193.200.0.1 to 193.207.255.254 | 193.207.255.255 | 524,286 |
| 59 | 193.208.0.0/13 | 193.208.0.1 to 193.215.255.254 | 193.215.255.255 | 524,286 |
| 60 | 193.216.0.0/13 | 193.216.0.1 to 193.223.255.254 | 193.223.255.255 | 524,286 |
| 61 | 193.224.0.0/13 | 193.224.0.1 to 193.231.255.254 | 193.231.255.255 | 524,286 |
| 62 | 193.232.0.0/13 | 193.232.0.1 to 193.239.255.254 | 193.239.255.255 | 524,286 |
| 63 | 193.240.0.0/13 | 193.240.0.1 to 193.247.255.254 | 193.247.255.255 | 524,286 |
| 64 | 193.248.0.0/13 | 193.248.0.1 to 193.255.255.254 | 193.255.255.255 | 524,286 |
| 65 | 194.0.0.0/13 | 194.0.0.1 to 194.7.255.254 | 194.7.255.255 | 524,286 |
| 66 | 194.8.0.0/13 | 194.8.0.1 to 194.15.255.254 | 194.15.255.255 | 524,286 |
| 67 | 194.16.0.0/13 | 194.16.0.1 to 194.23.255.254 | 194.23.255.255 | 524,286 |
| 68 | 194.24.0.0/13 | 194.24.0.1 to 194.31.255.254 | 194.31.255.255 | 524,286 |
| 69 | 194.32.0.0/13 | 194.32.0.1 to 194.39.255.254 | 194.39.255.255 | 524,286 |
| 70 | 194.40.0.0/13 | 194.40.0.1 to 194.47.255.254 | 194.47.255.255 | 524,286 |
| 71 | 194.48.0.0/13 | 194.48.0.1 to 194.55.255.254 | 194.55.255.255 | 524,286 |
| 72 | 194.56.0.0/13 | 194.56.0.1 to 194.63.255.254 | 194.63.255.255 | 524,286 |
| 73 | 194.64.0.0/13 | 194.64.0.1 to 194.71.255.254 | 194.71.255.255 | 524,286 |
| 74 | 194.72.0.0/13 | 194.72.0.1 to 194.79.255.254 | 194.79.255.255 | 524,286 |
| 75 | 194.80.0.0/13 | 194.80.0.1 to 194.87.255.254 | 194.87.255.255 | 524,286 |
| 76 | 194.88.0.0/13 | 194.88.0.1 to 194.95.255.254 | 194.95.255.255 | 524,286 |
| 77 | 194.96.0.0/13 | 194.96.0.1 to 194.103.255.254 | 194.103.255.255 | 524,286 |
| 78 | 194.104.0.0/13 | 194.104.0.1 to 194.111.255.254 | 194.111.255.255 | 524,286 |
| 79 | 194.112.0.0/13 | 194.112.0.1 to 194.119.255.254 | 194.119.255.255 | 524,286 |
| 80 | 194.120.0.0/13 | 194.120.0.1 to 194.127.255.254 | 194.127.255.255 | 524,286 |
| 81 | 194.128.0.0/13 | 194.128.0.1 to 194.135.255.254 | 194.135.255.255 | 524,286 |
| 82 | 194.136.0.0/13 | 194.136.0.1 to 194.143.255.254 | 194.143.255.255 | 524,286 |
| 83 | 194.144.0.0/13 | 194.144.0.1 to 194.151.255.254 | 194.151.255.255 | 524,286 |
| 84 | 194.152.0.0/13 | 194.152.0.1 to 194.159.255.254 | 194.159.255.255 | 524,286 |
| 85 | 194.160.0.0/13 | 194.160.0.1 to 194.167.255.254 | 194.167.255.255 | 524,286 |
| 86 | 194.168.0.0/13 | 194.168.0.1 to 194.175.255.254 | 194.175.255.255 | 524,286 |
| 87 | 194.176.0.0/13 | 194.176.0.1 to 194.183.255.254 | 194.183.255.255 | 524,286 |
| 88 | 194.184.0.0/13 | 194.184.0.1 to 194.191.255.254 | 194.191.255.255 | 524,286 |
| 89 | 194.192.0.0/13 | 194.192.0.1 to 194.199.255.254 | 194.199.255.255 | 524,286 |
| 90 | 194.200.0.0/13 | 194.200.0.1 to 194.207.255.254 | 194.207.255.255 | 524,286 |
| 91 | 194.208.0.0/13 | 194.208.0.1 to 194.215.255.254 | 194.215.255.255 | 524,286 |
| 92 | 194.216.0.0/13 | 194.216.0.1 to 194.223.255.254 | 194.223.255.255 | 524,286 |
| 93 | 194.224.0.0/13 | 194.224.0.1 to 194.231.255.254 | 194.231.255.255 | 524,286 |
| 94 | 194.232.0.0/13 | 194.232.0.1 to 194.239.255.254 | 194.239.255.255 | 524,286 |
| 95 | 194.240.0.0/13 | 194.240.0.1 to 194.247.255.254 | 194.247.255.255 | 524,286 |
| 96 | 194.248.0.0/13 | 194.248.0.1 to 194.255.255.254 | 194.255.255.255 | 524,286 |
| 97 | 195.0.0.0/13 | 195.0.0.1 to 195.7.255.254 | 195.7.255.255 | 524,286 |
| 98 | 195.8.0.0/13 | 195.8.0.1 to 195.15.255.254 | 195.15.255.255 | 524,286 |
| 99 | 195.16.0.0/13 | 195.16.0.1 to 195.23.255.254 | 195.23.255.255 | 524,286 |
| 100 | 195.24.0.0/13 | 195.24.0.1 to 195.31.255.254 | 195.31.255.255 | 524,286 |
| 101 | 195.32.0.0/13 | 195.32.0.1 to 195.39.255.254 | 195.39.255.255 | 524,286 |
| 102 | 195.40.0.0/13 | 195.40.0.1 to 195.47.255.254 | 195.47.255.255 | 524,286 |
| 103 | 195.48.0.0/13 | 195.48.0.1 to 195.55.255.254 | 195.55.255.255 | 524,286 |
| 104 | 195.56.0.0/13 | 195.56.0.1 to 195.63.255.254 | 195.63.255.255 | 524,286 |
| 105 | 195.64.0.0/13 | 195.64.0.1 to 195.71.255.254 | 195.71.255.255 | 524,286 |
| 106 | 195.72.0.0/13 | 195.72.0.1 to 195.79.255.254 | 195.79.255.255 | 524,286 |
| 107 | 195.80.0.0/13 | 195.80.0.1 to 195.87.255.254 | 195.87.255.255 | 524,286 |
| 108 | 195.88.0.0/13 | 195.88.0.1 to 195.95.255.254 | 195.95.255.255 | 524,286 |
| 109 | 195.96.0.0/13 | 195.96.0.1 to 195.103.255.254 | 195.103.255.255 | 524,286 |
| 110 | 195.104.0.0/13 | 195.104.0.1 to 195.111.255.254 | 195.111.255.255 | 524,286 |
| 111 | 195.112.0.0/13 | 195.112.0.1 to 195.119.255.254 | 195.119.255.255 | 524,286 |
| 112 | 195.120.0.0/13 | 195.120.0.1 to 195.127.255.254 | 195.127.255.255 | 524,286 |
| 113 | 195.128.0.0/13 | 195.128.0.1 to 195.135.255.254 | 195.135.255.255 | 524,286 |
| 114 | 195.136.0.0/13 | 195.136.0.1 to 195.143.255.254 | 195.143.255.255 | 524,286 |
| 115 | 195.144.0.0/13 | 195.144.0.1 to 195.151.255.254 | 195.151.255.255 | 524,286 |
| 116 | 195.152.0.0/13 | 195.152.0.1 to 195.159.255.254 | 195.159.255.255 | 524,286 |
| 117 | 195.160.0.0/13 | 195.160.0.1 to 195.167.255.254 | 195.167.255.255 | 524,286 |
| 118 | 195.168.0.0/13 | 195.168.0.1 to 195.175.255.254 | 195.175.255.255 | 524,286 |
| 119 | 195.176.0.0/13 | 195.176.0.1 to 195.183.255.254 | 195.183.255.255 | 524,286 |
| 120 | 195.184.0.0/13 | 195.184.0.1 to 195.191.255.254 | 195.191.255.255 | 524,286 |
| 121 | 195.192.0.0/13 | 195.192.0.1 to 195.199.255.254 | 195.199.255.255 | 524,286 |
| 122 | 195.200.0.0/13 | 195.200.0.1 to 195.207.255.254 | 195.207.255.255 | 524,286 |
| 123 | 195.208.0.0/13 | 195.208.0.1 to 195.215.255.254 | 195.215.255.255 | 524,286 |
| 124 | 195.216.0.0/13 | 195.216.0.1 to 195.223.255.254 | 195.223.255.255 | 524,286 |
| 125 | 195.224.0.0/13 | 195.224.0.1 to 195.231.255.254 | 195.231.255.255 | 524,286 |
| 126 | 195.232.0.0/13 | 195.232.0.1 to 195.239.255.254 | 195.239.255.255 | 524,286 |
| 127 | 195.240.0.0/13 | 195.240.0.1 to 195.247.255.254 | 195.247.255.255 | 524,286 |
| 128 | 195.248.0.0/13 | 195.248.0.1 to 195.255.255.254 | 195.255.255.255 | 524,286 |
| 129 | 196.0.0.0/13 | 196.0.0.1 to 196.7.255.254 | 196.7.255.255 | 524,286 |
| 130 | 196.8.0.0/13 | 196.8.0.1 to 196.15.255.254 | 196.15.255.255 | 524,286 |
| 131 | 196.16.0.0/13 | 196.16.0.1 to 196.23.255.254 | 196.23.255.255 | 524,286 |
| 132 | 196.24.0.0/13 | 196.24.0.1 to 196.31.255.254 | 196.31.255.255 | 524,286 |
| 133 | 196.32.0.0/13 | 196.32.0.1 to 196.39.255.254 | 196.39.255.255 | 524,286 |
| 134 | 196.40.0.0/13 | 196.40.0.1 to 196.47.255.254 | 196.47.255.255 | 524,286 |
| 135 | 196.48.0.0/13 | 196.48.0.1 to 196.55.255.254 | 196.55.255.255 | 524,286 |
| 136 | 196.56.0.0/13 | 196.56.0.1 to 196.63.255.254 | 196.63.255.255 | 524,286 |
| 137 | 196.64.0.0/13 | 196.64.0.1 to 196.71.255.254 | 196.71.255.255 | 524,286 |
| 138 | 196.72.0.0/13 | 196.72.0.1 to 196.79.255.254 | 196.79.255.255 | 524,286 |
| 139 | 196.80.0.0/13 | 196.80.0.1 to 196.87.255.254 | 196.87.255.255 | 524,286 |
| 140 | 196.88.0.0/13 | 196.88.0.1 to 196.95.255.254 | 196.95.255.255 | 524,286 |
| 141 | 196.96.0.0/13 | 196.96.0.1 to 196.103.255.254 | 196.103.255.255 | 524,286 |
| 142 | 196.104.0.0/13 | 196.104.0.1 to 196.111.255.254 | 196.111.255.255 | 524,286 |
| 143 | 196.112.0.0/13 | 196.112.0.1 to 196.119.255.254 | 196.119.255.255 | 524,286 |
| 144 | 196.120.0.0/13 | 196.120.0.1 to 196.127.255.254 | 196.127.255.255 | 524,286 |
| 145 | 196.128.0.0/13 | 196.128.0.1 to 196.135.255.254 | 196.135.255.255 | 524,286 |
| 146 | 196.136.0.0/13 | 196.136.0.1 to 196.143.255.254 | 196.143.255.255 | 524,286 |
| 147 | 196.144.0.0/13 | 196.144.0.1 to 196.151.255.254 | 196.151.255.255 | 524,286 |
| 148 | 196.152.0.0/13 | 196.152.0.1 to 196.159.255.254 | 196.159.255.255 | 524,286 |
| 149 | 196.160.0.0/13 | 196.160.0.1 to 196.167.255.254 | 196.167.255.255 | 524,286 |
| 150 | 196.168.0.0/13 | 196.168.0.1 to 196.175.255.254 | 196.175.255.255 | 524,286 |
| 151 | 196.176.0.0/13 | 196.176.0.1 to 196.183.255.254 | 196.183.255.255 | 524,286 |
| 152 | 196.184.0.0/13 | 196.184.0.1 to 196.191.255.254 | 196.191.255.255 | 524,286 |
| 153 | 196.192.0.0/13 | 196.192.0.1 to 196.199.255.254 | 196.199.255.255 | 524,286 |
| 154 | 196.200.0.0/13 | 196.200.0.1 to 196.207.255.254 | 196.207.255.255 | 524,286 |
| 155 | 196.208.0.0/13 | 196.208.0.1 to 196.215.255.254 | 196.215.255.255 | 524,286 |
| 156 | 196.216.0.0/13 | 196.216.0.1 to 196.223.255.254 | 196.223.255.255 | 524,286 |
| 157 | 196.224.0.0/13 | 196.224.0.1 to 196.231.255.254 | 196.231.255.255 | 524,286 |
| 158 | 196.232.0.0/13 | 196.232.0.1 to 196.239.255.254 | 196.239.255.255 | 524,286 |
| 159 | 196.240.0.0/13 | 196.240.0.1 to 196.247.255.254 | 196.247.255.255 | 524,286 |
| 160 | 196.248.0.0/13 | 196.248.0.1 to 196.255.255.254 | 196.255.255.255 | 524,286 |
| 161 | 197.0.0.0/13 | 197.0.0.1 to 197.7.255.254 | 197.7.255.255 | 524,286 |
| 162 | 197.8.0.0/13 | 197.8.0.1 to 197.15.255.254 | 197.15.255.255 | 524,286 |
| 163 | 197.16.0.0/13 | 197.16.0.1 to 197.23.255.254 | 197.23.255.255 | 524,286 |
| 164 | 197.24.0.0/13 | 197.24.0.1 to 197.31.255.254 | 197.31.255.255 | 524,286 |
| 165 | 197.32.0.0/13 | 197.32.0.1 to 197.39.255.254 | 197.39.255.255 | 524,286 |
| 166 | 197.40.0.0/13 | 197.40.0.1 to 197.47.255.254 | 197.47.255.255 | 524,286 |
| 167 | 197.48.0.0/13 | 197.48.0.1 to 197.55.255.254 | 197.55.255.255 | 524,286 |
| 168 | 197.56.0.0/13 | 197.56.0.1 to 197.63.255.254 | 197.63.255.255 | 524,286 |
| 169 | 197.64.0.0/13 | 197.64.0.1 to 197.71.255.254 | 197.71.255.255 | 524,286 |
| 170 | 197.72.0.0/13 | 197.72.0.1 to 197.79.255.254 | 197.79.255.255 | 524,286 |
| 171 | 197.80.0.0/13 | 197.80.0.1 to 197.87.255.254 | 197.87.255.255 | 524,286 |
| 172 | 197.88.0.0/13 | 197.88.0.1 to 197.95.255.254 | 197.95.255.255 | 524,286 |
| 173 | 197.96.0.0/13 | 197.96.0.1 to 197.103.255.254 | 197.103.255.255 | 524,286 |
| 174 | 197.104.0.0/13 | 197.104.0.1 to 197.111.255.254 | 197.111.255.255 | 524,286 |
| 175 | 197.112.0.0/13 | 197.112.0.1 to 197.119.255.254 | 197.119.255.255 | 524,286 |
| 176 | 197.120.0.0/13 | 197.120.0.1 to 197.127.255.254 | 197.127.255.255 | 524,286 |
| 177 | 197.128.0.0/13 | 197.128.0.1 to 197.135.255.254 | 197.135.255.255 | 524,286 |
| 178 | 197.136.0.0/13 | 197.136.0.1 to 197.143.255.254 | 197.143.255.255 | 524,286 |
| 179 | 197.144.0.0/13 | 197.144.0.1 to 197.151.255.254 | 197.151.255.255 | 524,286 |
| 180 | 197.152.0.0/13 | 197.152.0.1 to 197.159.255.254 | 197.159.255.255 | 524,286 |
| 181 | 197.160.0.0/13 | 197.160.0.1 to 197.167.255.254 | 197.167.255.255 | 524,286 |
| 182 | 197.168.0.0/13 | 197.168.0.1 to 197.175.255.254 | 197.175.255.255 | 524,286 |
| 183 | 197.176.0.0/13 | 197.176.0.1 to 197.183.255.254 | 197.183.255.255 | 524,286 |
| 184 | 197.184.0.0/13 | 197.184.0.1 to 197.191.255.254 | 197.191.255.255 | 524,286 |
| 185 | 197.192.0.0/13 | 197.192.0.1 to 197.199.255.254 | 197.199.255.255 | 524,286 |
| 186 | 197.200.0.0/13 | 197.200.0.1 to 197.207.255.254 | 197.207.255.255 | 524,286 |
| 187 | 197.208.0.0/13 | 197.208.0.1 to 197.215.255.254 | 197.215.255.255 | 524,286 |
| 188 | 197.216.0.0/13 | 197.216.0.1 to 197.223.255.254 | 197.223.255.255 | 524,286 |
| 189 | 197.224.0.0/13 | 197.224.0.1 to 197.231.255.254 | 197.231.255.255 | 524,286 |
| 190 | 197.232.0.0/13 | 197.232.0.1 to 197.239.255.254 | 197.239.255.255 | 524,286 |
| 191 | 197.240.0.0/13 | 197.240.0.1 to 197.247.255.254 | 197.247.255.255 | 524,286 |
| 192 | 197.248.0.0/13 | 197.248.0.1 to 197.255.255.254 | 197.255.255.255 | 524,286 |
| 193 | 198.0.0.0/13 | 198.0.0.1 to 198.7.255.254 | 198.7.255.255 | 524,286 |
| 194 | 198.8.0.0/13 | 198.8.0.1 to 198.15.255.254 | 198.15.255.255 | 524,286 |
| 195 | 198.16.0.0/13 | 198.16.0.1 to 198.23.255.254 | 198.23.255.255 | 524,286 |
| 196 | 198.24.0.0/13 | 198.24.0.1 to 198.31.255.254 | 198.31.255.255 | 524,286 |
| 197 | 198.32.0.0/13 | 198.32.0.1 to 198.39.255.254 | 198.39.255.255 | 524,286 |
| 198 | 198.40.0.0/13 | 198.40.0.1 to 198.47.255.254 | 198.47.255.255 | 524,286 |
| 199 | 198.48.0.0/13 | 198.48.0.1 to 198.55.255.254 | 198.55.255.255 | 524,286 |
| 200 | 198.56.0.0/13 | 198.56.0.1 to 198.63.255.254 | 198.63.255.255 | 524,286 |
| 201 | 198.64.0.0/13 | 198.64.0.1 to 198.71.255.254 | 198.71.255.255 | 524,286 |
| 202 | 198.72.0.0/13 | 198.72.0.1 to 198.79.255.254 | 198.79.255.255 | 524,286 |
| 203 | 198.80.0.0/13 | 198.80.0.1 to 198.87.255.254 | 198.87.255.255 | 524,286 |
| 204 | 198.88.0.0/13 | 198.88.0.1 to 198.95.255.254 | 198.95.255.255 | 524,286 |
| 205 | 198.96.0.0/13 | 198.96.0.1 to 198.103.255.254 | 198.103.255.255 | 524,286 |
| 206 | 198.104.0.0/13 | 198.104.0.1 to 198.111.255.254 | 198.111.255.255 | 524,286 |
| 207 | 198.112.0.0/13 | 198.112.0.1 to 198.119.255.254 | 198.119.255.255 | 524,286 |
| 208 | 198.120.0.0/13 | 198.120.0.1 to 198.127.255.254 | 198.127.255.255 | 524,286 |
| 209 | 198.128.0.0/13 | 198.128.0.1 to 198.135.255.254 | 198.135.255.255 | 524,286 |
| 210 | 198.136.0.0/13 | 198.136.0.1 to 198.143.255.254 | 198.143.255.255 | 524,286 |
| 211 | 198.144.0.0/13 | 198.144.0.1 to 198.151.255.254 | 198.151.255.255 | 524,286 |
| 212 | 198.152.0.0/13 | 198.152.0.1 to 198.159.255.254 | 198.159.255.255 | 524,286 |
| 213 | 198.160.0.0/13 | 198.160.0.1 to 198.167.255.254 | 198.167.255.255 | 524,286 |
| 214 | 198.168.0.0/13 | 198.168.0.1 to 198.175.255.254 | 198.175.255.255 | 524,286 |
| 215 | 198.176.0.0/13 | 198.176.0.1 to 198.183.255.254 | 198.183.255.255 | 524,286 |
| 216 | 198.184.0.0/13 | 198.184.0.1 to 198.191.255.254 | 198.191.255.255 | 524,286 |
| 217 | 198.192.0.0/13 | 198.192.0.1 to 198.199.255.254 | 198.199.255.255 | 524,286 |
| 218 | 198.200.0.0/13 | 198.200.0.1 to 198.207.255.254 | 198.207.255.255 | 524,286 |
| 219 | 198.208.0.0/13 | 198.208.0.1 to 198.215.255.254 | 198.215.255.255 | 524,286 |
| 220 | 198.216.0.0/13 | 198.216.0.1 to 198.223.255.254 | 198.223.255.255 | 524,286 |
| 221 | 198.224.0.0/13 | 198.224.0.1 to 198.231.255.254 | 198.231.255.255 | 524,286 |
| 222 | 198.232.0.0/13 | 198.232.0.1 to 198.239.255.254 | 198.239.255.255 | 524,286 |
| 223 | 198.240.0.0/13 | 198.240.0.1 to 198.247.255.254 | 198.247.255.255 | 524,286 |
| 224 | 198.248.0.0/13 | 198.248.0.1 to 198.255.255.254 | 198.255.255.255 | 524,286 |
| 225 | 199.0.0.0/13 | 199.0.0.1 to 199.7.255.254 | 199.7.255.255 | 524,286 |
| 226 | 199.8.0.0/13 | 199.8.0.1 to 199.15.255.254 | 199.15.255.255 | 524,286 |
| 227 | 199.16.0.0/13 | 199.16.0.1 to 199.23.255.254 | 199.23.255.255 | 524,286 |
| 228 | 199.24.0.0/13 | 199.24.0.1 to 199.31.255.254 | 199.31.255.255 | 524,286 |
| 229 | 199.32.0.0/13 | 199.32.0.1 to 199.39.255.254 | 199.39.255.255 | 524,286 |
| 230 | 199.40.0.0/13 | 199.40.0.1 to 199.47.255.254 | 199.47.255.255 | 524,286 |
| 231 | 199.48.0.0/13 | 199.48.0.1 to 199.55.255.254 | 199.55.255.255 | 524,286 |
| 232 | 199.56.0.0/13 | 199.56.0.1 to 199.63.255.254 | 199.63.255.255 | 524,286 |
| 233 | 199.64.0.0/13 | 199.64.0.1 to 199.71.255.254 | 199.71.255.255 | 524,286 |
| 234 | 199.72.0.0/13 | 199.72.0.1 to 199.79.255.254 | 199.79.255.255 | 524,286 |
| 235 | 199.80.0.0/13 | 199.80.0.1 to 199.87.255.254 | 199.87.255.255 | 524,286 |
| 236 | 199.88.0.0/13 | 199.88.0.1 to 199.95.255.254 | 199.95.255.255 | 524,286 |
| 237 | 199.96.0.0/13 | 199.96.0.1 to 199.103.255.254 | 199.103.255.255 | 524,286 |
| 238 | 199.104.0.0/13 | 199.104.0.1 to 199.111.255.254 | 199.111.255.255 | 524,286 |
| 239 | 199.112.0.0/13 | 199.112.0.1 to 199.119.255.254 | 199.119.255.255 | 524,286 |
| 240 | 199.120.0.0/13 | 199.120.0.1 to 199.127.255.254 | 199.127.255.255 | 524,286 |
| 241 | 199.128.0.0/13 | 199.128.0.1 to 199.135.255.254 | 199.135.255.255 | 524,286 |
| 242 | 199.136.0.0/13 | 199.136.0.1 to 199.143.255.254 | 199.143.255.255 | 524,286 |
| 243 | 199.144.0.0/13 | 199.144.0.1 to 199.151.255.254 | 199.151.255.255 | 524,286 |
| 244 | 199.152.0.0/13 | 199.152.0.1 to 199.159.255.254 | 199.159.255.255 | 524,286 |
| 245 | 199.160.0.0/13 | 199.160.0.1 to 199.167.255.254 | 199.167.255.255 | 524,286 |
| 246 | 199.168.0.0/13 | 199.168.0.1 to 199.175.255.254 | 199.175.255.255 | 524,286 |
| 247 | 199.176.0.0/13 | 199.176.0.1 to 199.183.255.254 | 199.183.255.255 | 524,286 |
| 248 | 199.184.0.0/13 | 199.184.0.1 to 199.191.255.254 | 199.191.255.255 | 524,286 |
| 249 | 199.192.0.0/13 | 199.192.0.1 to 199.199.255.254 | 199.199.255.255 | 524,286 |
| 250 | 199.200.0.0/13 | 199.200.0.1 to 199.207.255.254 | 199.207.255.255 | 524,286 |
| 251 | 199.208.0.0/13 | 199.208.0.1 to 199.215.255.254 | 199.215.255.255 | 524,286 |
| 252 | 199.216.0.0/13 | 199.216.0.1 to 199.223.255.254 | 199.223.255.255 | 524,286 |
| 253 | 199.224.0.0/13 | 199.224.0.1 to 199.231.255.254 | 199.231.255.255 | 524,286 |
| 254 | 199.232.0.0/13 | 199.232.0.1 to 199.239.255.254 | 199.239.255.255 | 524,286 |
| 255 | 199.240.0.0/13 | 199.240.0.1 to 199.247.255.254 | 199.247.255.255 | 524,286 |
| 256 | 199.248.0.0/13 | 199.248.0.1 to 199.255.255.254 | 199.255.255.255 | 524,286 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |